kind: pipeline
type: docker
name: Deploiement

trigger:
  event:
    - push

steps:
  - name: docker-build-and-push
    image: plugins/docker
    settings:
      dockerfile: docker/Dockerfile
      context: .
      environment:
        - NODE_ENV=production
      registry: hub.codefirst.iut.uca.fr
      mirror: https://proxy.iut.uca.fr:8443
      repo: hub.codefirst.iut.uca.fr/matheo.thierry/portfolio_nuxt
      username:
        from_secret: SECRET_REGISTRY_USERNAME
      password:
        from_secret: SECRET_REGISTRY_PASSWORD

  - name: deploy-container
    image: hub.codefirst.iut.uca.fr/thomas.bellembois/codefirst-dockerproxy-clientdrone:latest
    environment:
        IMAGENAME: hub.codefirst.iut.uca.fr/matheo.thierry/portfolio_nuxt:latest
        CONTAINERNAME: portfolio_nuxt
        COMMAND: create
        OVERWRITE: true